#!/usr/bin/env node

const fs = require('fs')
const argv = require('yargs').argv
const { ncp } = require('ncp')
const pify = require('pify')

const { config, deps, dest } = argv
if (!dest) throw new Error(`invalid dest "${dest}`)
const source = __dirname + '/app'

main()

async function main () {
  // copy app dir
  await pify(cb => ncp(source, dest, cb))()
  // add data-injection file
  const configContent = fs.readFileSync(config, 'utf8')
  const depsContent = fs.readFileSync(deps, 'utf8')
  const dataInjectionContent = `
  self.CONFIG = ${configContent};
  self.DEPS = ${depsContent};
  `
  fs.writeFileSync(dest + '/data-injection.js', dataInjectionContent)
  console.log(`generated viz in ${dest}`)
}
